{% from "map.jinja" import noveria with context %}

include:
  - directories

apps_noveriablcgen_git:
  git.latest:
    - name: https://git.noveria.org/Tools/noveriablcgen.git
    - target: {{ noveria.app_dir }}/noveriablcgen
    - user: root
    - force_reset: True
    - require:
      - directories_apps_dir

apps_noveriablcgen_link:
  file.symlink:
    - name: {{ noveria.bin_dir }}/noveriablcgen
    - target: {{ noveria.app_dir }}/noveriablcgen/noveriablcgen
    - user: root
    - group: root
    - mode: '0755'
    - require:
      - apps_noveriablcgen_git
      - directories_bin_dir
      - directories_apps_dir

apps_noveriablcgen_config:
  file.managed:
    - name: {{ noveria.etc_dir }}/noveriablcgen/noveriablcgen.json
    - source: salt://{{ tpldir }}/files/noveriablcgen_config.json.jinja
    - template: jinja
    - context:
        BTRFS_ROOT: "/btrfs"
        GRUB_CONFD: "/etc/grub.d"
        GRUB_CONFIG_FILENAME: "10_noveria"
        ROOT_UUID: {{ salt['cmd.shell']('lsblk -o LABEL,UUID | grep ROOT | awk \'{print $2}\'') }}
        GRUB_CONFIG: "/boot/grub/grub.cfg"
    - mode: '0644'
    - makedirs: True
    - user: root
    - group: root
    - require:
      - apps_noveriablcgen_git
      - directories_etc_dir
