{% from tpldir+"/map.jinja" import haproxy with context %}
{% set ipv4 = grains['ip4_interfaces']['eth0'][0] %}

haproxy_pkg_pkgs:
  pkg.installed:
    - pkgs:
      - haproxy

haproxy_pkg_conf_dir:
  file.directory:
    - name: /etc/haproxy/conf.d
    - user: root
    - group: root
    - file_mode: '0644'
    - dir_mode: '0755'
    - require:
      - haproxy_pkg_pkgs

haproxy_pkg_config:
  file.managed:
    - name: /etc/haproxy/haproxy.cfg
    - source: salt://{{ tpldir }}/files/haproxy_config.jinja
    - template: jinja
    - context:
        ipv4: {{ ipv4 }}
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - haproxy_pkg_pkgs

haproxy_pkg_rc_script:
  file.managed:
    - name: /etc/init.d/haproxy
    - source: salt://{{ tpldir }}/files/haproxy_rcscript.initd.jinja
    - template: jinja
    - context:  
        sls: {{ sls }}
        conf_dir: {{ haproxy.conf_dir }}
    - user: root
    - group: root
    - mode: '0755'
    - require:
      - haproxy_pkg_conf_dir
      - haproxy_pkg_config
