{% from tpldir+"/map.jinja" import nginx with context %}
{% set profiles = salt.pillar.get("nginx.profiles", []) %}

include:
  - .pkg

nginx_profiles_sites_dir:
  file.directory:
    - name: {{ nginx.sites_dir }}
    - user: root
    - group: root
    - file_mode: '0644'
    - dir_mode: '0755'
    - require:
      - nginx_pkg_pkgs

nginx_profiles_sites_enabled_dir:
  file.directory: 
    - name: {{ nginx.sites_enabled_dir }}
    - user: root
    - group: root
    - file_mode: '0644'
    - dir_mode: '0755'
    - require:
      - nginx_pkg_pkgs

{% for profile in profiles %}
nginx_{{ profile }}_config:
  file.managed:
    - name: {{ nginx.sites_dir }}/{{ profile }}.conf
    - source: salt://{{ tpldir }}/files/{{ profile }}.conf
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - nginx_profiles_sites_dir
      - nginx_profiles_sites_enabled_dir

nginx_{{ profile }}}_enable:
  file.symlink:
    - name: {{ nginx.sites_enabled_dir }}/{{ profile }}.conf
    - target: {{ nginx.sites_dir }}/{{ profile }}.conf
    - force: True
    - require:
      - nginx_{{ profile }}_config
{% endfor %}
