{% from "map.jinja" import noveria with context %}

include:
  - directories

podman_apps_pms-cli_git:
  git.latest:
    - name: https://git.noveria.org/Tools/pms-cli.git
    - target: {{ noveria.app_dir }}/pms-cli
    - user: root
    - force_reset: True
    - require:
      - directories_apps_dir

podman_apps_pms-cli_link:
  file.symlink:
    - name: {{ noveria.bin_dir }}/pms-cli
    - target: {{ noveria.app_dir }}/pms-cli/pms-cli
    - user: root
    - group: root
    - mode: '0755'
    - require:
      - podman_apps_pms-cli_git
      - directories_bin_dir
      - directories_apps_dir

podman_apps_pms-cli_config:
  file.managed:
    - name: {{ noveria.etc_dir }}/pms-cli/pms-cli.json
    - source: salt://{{ tpldir }}/files/pms-cli_config.json.jinja
    - template: jinja
    - context:
        PODMAN_DIR: "/opt/podman"
    - mode: '0644'
    - makedirs: True
    - user: root
    - group: root
    - require:
      - podman_apps_pms-cli_git
      - directories_etc_dir
