{% from "map.jinja" import noveria with context %}

include:
  - directories

podman_apps_poddoc_git:
  git.latest:
    - name: https://git.noveria.org/Tools/poddoc.git
    - target: {{ noveria.app_dir }}/poddoc
    - user: root
    - force_reset: True
    - require:
      - directories_apps_dir

podman_apps_poddoc_link:
  file.symlink:
    - name: {{ noveria.bin_dir }}/poddoc
    - target: {{ noveria.app_dir }}/poddoc/poddoc
    - user: root
    - group: root
    - mode: '0755'
    - require:
      - podman_apps_poddoc_git
      - directories_bin_dir
      - directories_apps_dir

podman_apps_poddoc_config:
  file.managed:
    - name: {{ noveria.etc_dir }}/poddoc/poddoc.json
    - source: salt://{{ tpldir }}/files/poddoc_config.json.jinja
    - template: jinja
    - context:
        GIT_REPO: "https://git.noveria.org/Podman"
        PODMAN_DIR: "/opt/podman"
    - mode: '0644'
    - makedirs: True
    - user: root
    - group: root
    - require:
      - podman_apps_poddoc_git
      - directories_etc_dir
