{% from "map.jinja" import noveria with context %}

include:
  - directories

system_base_pkgs:
  pkg.installed:
    - pkgs:
      - linux-lts
      - linux-firmware-none
      - openjdk17-jre-headless
      - jq
      - vim
      - git
      - findmnt
      - util-linux
      - sudo
      - curl

system_base_systemupdate:
  file.managed:
    - name: {{ noveria.app_dir }}/systemupdate
    - source: salt://{{ tpldir }}/files/base_systemupdate
    - mode: '0755'
    - user: root
    - group: root
    - require:
      - directories_apps_dir

system_base_systemupdate_link:
  file.symlink:
    - name: {{ noveria.bin_dir }}/systemupdate
    - target: {{ noveria.app_dir }}/systemupdate
    - user: root
    - group: root
    - mode: '0755'
    - require:
      - system_base_systemupdate
      - directories_bin_dir

system_base_modules_service:
  service.running:
    - name: modules
    - enable: True

# TUN permission fix service workaround
system_base_tun-perm_service:
  file.managed:
    - name: /etc/init.d/tun-perm
    - source: salt://{{ tpldir }}/files/base_tun-perm.initd
    - user: root
    - group: root
    - mode: '0755'
  service.enabled:
    - name: tun-perm
    - require:
      - system_base_modules_service

system_base_sysctl_service:
  service.running:
    - name: sysctl
    - enable: True

system_base_syslog_service:
  service.running:
    - name: syslog
    - enable: True

system_base_sysfs_service:
  service.running:
    - name: sysfs
    - enable: True
